com.holonplatform.datastore.jdbc.dialect

## Class DerbyDialect

- java.lang.Object
- - com.holonplatform.datastore.jdbc.dialect.DerbyDialect

- All Implemented Interfaces:
    JdbcDialect, Serializable

      public class DerbyDialect
      extends Object
      implements JdbcDialect

  Derby `JdbcDialect`.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.JdbcDialect

      `JdbcDialect.DialectResolutionContext, JdbcDialect.LimitHandler, JdbcDialect.SQLFunction, JdbcDialect.SQLParameterProcessor, JdbcDialect.SQLPathProcessor, JdbcDialect.SQLValueDeserializer, JdbcDialect.StatementConfigurationException, JdbcDialect.StatementConfigurator, JdbcDialect.StatementParameterHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DerbyDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `generatedKeyAlwaysReturned()` Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds.
    `String` | `getColumnName(String columnName)` Get the actual column name for given column name (for example, applying case transformations)
    `JdbcDialect.SQLFunction` | `getFunction(String name)` Get the `JdbcDialect.SQLFunction` bound to given symbolic name.
    `Optional<JdbcDialect.LimitHandler>` | `getLimitHandler()` Get the `JdbcDialect.LimitHandler`
    `JdbcDialect.StatementConfigurator` | `getStatementConfigurator()` Get the `JdbcDialect.StatementConfigurator` to use to configure JDBC statements.
    `String` | `getTableName(String tableName)` Get the actual table name for given table name (for example, applying case transformations)
    `void` | `init(JdbcDatastore datastore)` Dialect initialization hook at parent datastore initialization.
    `boolean` | `supportGetGeneratedKeyByName()` Retrieves whether auto-generated keys can be retrieved by name after a statement has been executed.
    `boolean` | `supportsGetGeneratedKeys()` Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
    `boolean` | `supportsLikeEscapeClause()` Retrieves whether this database supports specifying a `LIKE` escape clause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.JdbcDialect

      `deleteStatementAliasSupported, deleteStatementTargetRequired, getParameterProcessor, getPathProcessor, getPrimaryKey, getStatementParameterHandler, getValueDeserializer, useOuterInJoins`

- - ### Constructor Detail

    - #### DerbyDialect

          public DerbyDialect()

  - ### Method Detail

    - #### init

          public void init(JdbcDatastore datastore)
                    throws SQLException

      Description copied from interface: `JdbcDialect`
      Dialect initialization hook at parent datastore initialization.
      Specified by:
        `init` in interface `JdbcDialect`
      Parameters:
        `datastore` - Parent datastore
      Throws:
        `SQLException` - An error occurred during dialect initialization

    - #### getStatementConfigurator

          public JdbcDialect.StatementConfigurator getStatementConfigurator()

      Description copied from interface: `JdbcDialect`
      Get the `JdbcDialect.StatementConfigurator` to use to configure JDBC statements.
      Specified by:
        `getStatementConfigurator` in interface `JdbcDialect`
      Returns:
        The StatementConfigurator (not null)

    - #### supportsLikeEscapeClause

          public boolean supportsLikeEscapeClause()

      Description copied from interface: `JdbcDialect`
      Retrieves whether this database supports specifying a `LIKE` escape clause.
      Specified by:
        `supportsLikeEscapeClause` in interface `JdbcDialect`
      Returns:
        `true` if so; `false` otherwise

    - #### supportsGetGeneratedKeys

          public boolean supportsGetGeneratedKeys()

      Description copied from interface: `JdbcDialect`
      Retrieves whether auto-generated keys can be retrieved after a statement has been executed.
      Specified by:
        `supportsGetGeneratedKeys` in interface `JdbcDialect`
      Returns:
        `true` if auto-generated keys can be retrieved after a statement has executed; `false` otherwise

    - #### generatedKeyAlwaysReturned

          public boolean generatedKeyAlwaysReturned()

      Description copied from interface: `JdbcDialect`
      Retrieves whether a generated key will always be returned if the column name(s) or index(es) specified for the auto generated key column(s) are valid and the statement succeeds. The key that is returned may or may not be based on the column(s) for the auto generated key.
      Specified by:
        `generatedKeyAlwaysReturned` in interface `JdbcDialect`
      Returns:
        `true` if so; `false` otherwise

    - #### supportGetGeneratedKeyByName

          public boolean supportGetGeneratedKeyByName()

      Description copied from interface: `JdbcDialect`
      Retrieves whether auto-generated keys can be retrieved by name after a statement has been executed.
      Specified by:
        `supportGetGeneratedKeyByName` in interface `JdbcDialect`
      Returns:
        `true` if auto-generated keys can be retrieved by name after a statement has executed

    - #### getTableName

          public String getTableName(String tableName)

      Description copied from interface: `JdbcDialect`
      Get the actual table name for given table name (for example, applying case transformations)
      Specified by:
        `getTableName` in interface `JdbcDialect`
      Parameters:
        `tableName` - Table name
      Returns:
        The actual table name

    - #### getColumnName

          public String getColumnName(String columnName)

      Description copied from interface: `JdbcDialect`
      Get the actual column name for given column name (for example, applying case transformations)
      Specified by:
        `getColumnName` in interface `JdbcDialect`
      Parameters:
        `columnName` - Column name
      Returns:
        The actual column name

    - #### getFunction

          public JdbcDialect.SQLFunction getFunction(String name)

      Description copied from interface: `JdbcDialect`
      Get the `JdbcDialect.SQLFunction` bound to given symbolic name.
      Specified by:
        `getFunction` in interface `JdbcDialect`
      Parameters:
        `name` - Function symbolic name
      Returns:
        Optional `JdbcDialect.SQLFunction` bound to given symbolic name. If null, a default function will be used, if available

    - #### getLimitHandler

          public Optional<JdbcDialect.LimitHandler> getLimitHandler()

      Description copied from interface: `JdbcDialect`
      Get the `JdbcDialect.LimitHandler`
      Specified by:
        `getLimitHandler` in interface `JdbcDialect`
      Returns:
        Optional limit handler

Copyright © 2017 The Holon Platform. All rights reserved.